Bug 675135 - ksh crashes
Summary: ksh crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ksh
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 616853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 12:34 UTC by RHEL Program Management
Modified: 2018-11-14 17:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, assigning a value to an array variable during the execution of the "typeset" command could cause the shell to terminate unexpectedly with a segmentation fault. This update corrects the array handling in this command, and ksh no longer crashes.
Clone Of:
Environment:
Last Closed: 2011-02-28 09:52:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0304 normal SHIPPED_LIVE ksh bug fix update 2011-02-28 09:51:56 UTC

Description RHEL Program Management 2011-02-04 12:34:52 UTC
This bug has been copied from bug #616853 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 6 Jaromir Hradilek 2011-02-07 14:56:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, assigning a value to an array variable during the execution of the "typeset" command could cause the shell to terminate unexpectedly with a segmentation fault. This update corrects the array handling in this command, and ksh no longer crashes.

Comment 7 Branislav Náter 2011-02-23 17:02:10 UTC
Bugfix successfully verified on package ksh-20100202-1.el5_6.3.{i386, x86_64,
ppc, ia64, s390x}.
Reproducer from bz616853 successfully finished without any coredumps.

Comment 8 errata-xmlrpc 2011-02-28 09:52:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0304.html


Note You need to log in before you can comment on or make changes to this bug.